<?php

namespace Drupal\travolute\Factory;

use Drupal;
use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\travolute\Service\TravoluteService;
use SoapClient;

class TravoluteServiceFactory
{
    public static function createTravoluteService(SoapClient $soapClient, CacheBackendInterface $cache)
    {
        $config = Drupal::config('travolute.schema');


        return new TravoluteService(
            $config->get('api_key'),
            $config->get('api_secret'),
            $soapClient,
            $cache
        );
    }
}
